CodeIgniter Forums
session_set_save_handler() problem - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: Using CodeIgniter (https://forum.codeigniter.com/forum-5.html)
+--- Forum: General Help (https://forum.codeigniter.com/forum-24.html)
+--- Thread: session_set_save_handler() problem (/thread-63270.html)



session_set_save_handler() problem - benfike - 10-14-2015

Hi!

Recently upgraded to 3.0.2 and since then this error is happening.. Any idea?

PHP Code:
A PHP Error was encountered
Severity
Warning
Message
Wrong parameter count for session_set_save_handler()
FilenameSession/Session.php
Line Number
107
Backtrace
:
FileC:\AppServ\www\arsenalfan\codeigniter\application\core\MY_Controller.php
Line
8
Function: __construct
File
C:\AppServ\www\arsenalfan\codeigniter\application\core\Public_Controller.php
Line
15
Function: __construct
File
C:\AppServ\www\arsenalfan\codeigniter\application\controllers\hirek.php
Line
7
Function: __construct
File
C:\AppServ\www\arsenalfan\index.php
Line
294
Function: require_once 



RE: session_set_save_handler() problem - InsiteFX - 10-14-2015

(10-14-2015, 02:49 AM)benfike Wrote: Hi!

Recently upgraded to 3.0.2 and since then this error is happening.. Any idea?


PHP Code:
A PHP Error was encountered
Severity
Warning
Message
Wrong parameter count for session_set_save_handler()
FilenameSession/Session.php
Line Number
107
Backtrace
:
FileC:\AppServ\www\arsenalfan\codeigniter\application\core\MY_Controller.php
Line
8
Function: __construct
File
C:\AppServ\www\arsenalfan\codeigniter\application\core\Public_Controller.php
Line
15
Function: __construct
File
C:\AppServ\www\arsenalfan\codeigniter\application\controllers\hirek.php
Line
7
Function: __construct
File
C:\AppServ\www\arsenalfan\index.php
Line
294
Function: require_once 

It sounds like you did not follow the upgrade information

Upgrading from 2.2.x to 3.0.x


RE: session_set_save_handler() problem - Narf - 10-14-2015

What PHP version are you using?


RE: session_set_save_handler() problem - benfike - 10-14-2015

(10-14-2015, 06:23 AM)Narf Wrote: What PHP version are you using?

PHP 6.0 is that could be a problem?


RE: session_set_save_handler() problem - Narf - 10-15-2015

(10-14-2015, 08:20 AM)benfike Wrote:
(10-14-2015, 06:23 AM)Narf Wrote: What PHP version are you using?

PHP 6.0 is that could be a problem?

That's surely a problem, because PHP 6.0 doesn't exist.